New:Multi-store marketplace routing is now available!
DocsAPI Reference
Developer API
REST API Reference
Integrate LicenceBot directly into your applications using our REST API. All endpoints return JSON responses and require API key authentication.
HTTPS Required
API Key Auth
JSON Responses
API Endpoints
GET
/api/v1/productsRetrieve a list of all licence products
POST
/api/v1/keys/validateValidate a licence key and return status
POST
/api/v1/checkoutCreate a new checkout session
GET
/api/v1/webhooksList configured webhook endpoints
GET
/api/v1/statusCheck API service status
Authentication
All API requests require an API key passed in the request header:
Authorization: Bearer {your_api_key}
You can generate API keys from the Settings page in your LicenceBot dashboard.
Example Request
Example cURL request to validate a licence key:
curl -X POST https://api.licencebot.com/v1/keys/validate \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d {"key": "XXXXX-XXXXX-XXXXX-XXXXX", "product_id": "prod_123"}
Rate Limits
Free Plan
100
requests/hour
Pro Plan
1,000
requests/hour
Enterprise
10,000
requests/hour